﻿package com.richwagner.mobileservices
{


    public class GoogleMaps extends MobileService
    {

        /**
         * Shows a map in Maps app based on the coordinates. 
         *  
         * @param longitude to display 
         * @param latitude to display 
         * 
         */
        public static function pointToCoordinates(latitude:Number, longitude:Number):void
        {
            var cmd:String = "http://maps.google.com/maps?q=" + latitude.toString() + "," + longitude.toString(); 
            executeCommand(cmd); 
        }    

        /**
         * Shows a map in Maps app based on address supplied. 
         * 
         * @param address - address to display    
         * 
         */        
        public static function pointToAddress(address:String):void
        { 
		    var addressArr:Array=address.split(' ');
			address = addressArr.join('+');
            var cmd:String = "http://maps.google.com/maps?q=" + address; 
            executeCommand(cmd); 
        }

        
    }
}