package com.richwagner.mobileservices
{
    public class Mail extends MobileService
    {
        
        public static var recipients:String = null;  
        public static var subject:String = null; 
        public static var body:String = null; 
        public static var ccList:String = null; 
        public static var bccList:String = null;         

        /**
         * Opens the Mail app and provides message details based on the 
         * class static properties.  
         * 
         */
        public static function sendMail():void
        {
            var cmd:String = "mailto:"; 
            
            var firstParam:Boolean = false; 
            
            
            if (!recipients)
            {
                trace("Error: You need to specify one or more recipients.");                 
                return; 
            }    

            // Add recipient list 
            cmd += recipients; 

            // Add subject 
            if (subject) 
            {
                cmd+= "?" + subject; 
                firstParam = true; 
            }    
            
            if (ccList) 
            {
                if (!firstParam) 
                    cmd += "?" + ccList
                else
                    cmd += "&" + ccList; 
                
                firstParam = true;
            }    
            
            if (bccList) 
            {
                if (!firstParam) 
                    cmd += "?" + bccList
                else
                    cmd += "&" + bccList; 

                firstParam = true; 
            }    
            
            
            // Add message text 
            if (body)
            {
                if (!firstParam) 
                    cmd += "?" + body
                else
                    cmd += "&" + body; 
                                
            }    
            
            executeCommand(cmd); 
            
        }


    
    }
}